Bug 256062 - [NEW PORT] editors/linux-sublime-text (recently released v4): sophisticated text editor for code, markup and prose
Summary: [NEW PORT] editors/linux-sublime-text (recently released v4): sophisticated t...
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Eric Turgeon
URL: https://www.sublimetext.com/
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-21 22:36 UTC by Matías Pizarro
Modified: 2021-07-15 12:39 UTC (History)
1 user (show)

See Also:


Attachments
Initial port shar (10.18 KB, text/plain)
2021-05-22 16:35 UTC, Matías Pizarro
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matías Pizarro 2021-05-21 22:36:15 UTC
Hi Mark,

Here is a port for Sublime Text 4.
Sublime now uses a versioning system based on builds, so this does not need ports linked to the version like editors/linux-sublime3.
I called it linux-sublime-text to differentiate it from linux-sublime-merge (see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=256061).

Thanks in advance for your help!

Best,
Matías
Comment 1 Matías Pizarro 2021-05-22 16:35:08 UTC
Created attachment 225179 [details]
Initial port shar
Comment 2 Matías Pizarro 2021-05-30 15:01:48 UTC
editors/linux-sublime-text: v4 (and ongoing) of the renowned sophisticated text editor for code, markup and prose.

This is the initial shar file.

The port:
 * installs icons
 * installs desktop entry
 * requires Linuxulator
 * installs license

This supersedes editors/linux-sublime and editors/linux-sublime3 as Sublime Text is now licensed in a version-agnostic fashion and does not require a major-version specific port.
Ports for versions 2 and 3 should still be kept to cater for users who hold legacy licenses.
Name has been changed to linux-sublime-text to differentiate it from linux-sublime-merge (see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=256061).

Sublime Text may be downloaded and evaluated for free, however a license must be purchased for continued use.

passes QA
  - portlint: OK (looks fine.)
  - testport: OK (poudriere: 130amd64)
  - portclippy: OK (all green)
  - portfmt -D: OK (no warning)

(this comment obsoletes all previous comments)
Comment 3 Alexey Dokuchaev freebsd_committer 2021-07-15 08:47:53 UTC
Incorrectly named `editors/sublime-text4', which is apparently what you've ported, had been committed to the tree in June.  Assigning to the current maintainer so you can sort this out together.
Comment 4 Eric Turgeon freebsd_committer 2021-07-15 12:39:50 UTC
I ported Sublime Text 4 under editor/sublime-text4 because it made sense to me.
Also, since Sublime Text 3 was always asking for upgrades, I made the port that way I can upgrade every time that Sublime Text as a new version. 

I use Sublime Text every day for work, and when I work on code for GhostBSD or update a FreeBSD port. 

If I have to rename it linux-sublime-text4 that is not a problem.